package es.um.atica.unica2.backbeans;

/**
 * Interfaz que deben cumplir los manejadores de las pantallas subscritas al wizard.
 * @author pedrody 
 *
 */
public interface WizardManejable {

    
    /**
     * Inidica si el boton siguiente debe o no debe estar habilitado
     * @return
     */
    public boolean habilitarSiguiente();
    
    /**
     * Debe implementar todas las acciones necesarias a realizar antes de avanzar en el wizard
     * @return paginaDesinto
     */
    public String avanzar();
    
    /**
     * Debe implementar todas las acciones necesarias a realizar antes de retroceder en el wizard
     * @return pagina destino
     */
    public String retroceder();
    
    /**
     * Debe implementar todas las acciones necesarias cuando se cancela el wizard
     * @return pagina destino
     */
    public String cancelar();
    
    /**
     * Debe implementar todas las acciones necesarias cuando se finaliza el wizard
     * @return pagina destino
     */
    public String finalizar();
    
}
